summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-ruby/qed
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-ruby/qed')
-rw-r--r--dev-ruby/qed/Manifest2
-rw-r--r--dev-ruby/qed/metadata.xml5
-rw-r--r--dev-ruby/qed/qed-2.9.1.ebuild30
-rw-r--r--dev-ruby/qed/qed-2.9.2.ebuild29
4 files changed, 66 insertions, 0 deletions
diff --git a/dev-ruby/qed/Manifest b/dev-ruby/qed/Manifest
new file mode 100644
index 00000000000..3359a432738
--- /dev/null
+++ b/dev-ruby/qed/Manifest
@@ -0,0 +1,2 @@
+DIST qed-2.9.1.gem 70144 SHA256 0ba57e54b5557e579a1698dae7ff847605a0af02d622f25f91987149690f7369 SHA512 60f6f74e3e9a043be0efa9d77c0503e3fd073d4b2d3321f4b3f384142d1c364be09450a057496b864271a2c254b4bc7a76e2c5ea74c00cabe65e951ec26676b5 WHIRLPOOL d75270de4ba50f759eaac7e11758d97266b7d248060ad7c8e1e42b6ac01eec28e2daecec717c3aa982b3cae344bbc556ee7bdd3327fff8dfcde6f55928ab0458
+DIST qed-2.9.2.gem 71168 SHA256 b9ae2dfe639de93079f085ebd703ed63a34e31d3de32a18f44cab3db69a5040e SHA512 e922f981eaaa852fc44eba998b20f3d2310dbda5a06eee252d401f6e1ffeee1435aca9618fa7f8982cee575d52c3ee9aa9d3705639106421db0c2daba9c5d1b5 WHIRLPOOL d9dbc32d942a94ead31d6cbe5fd2334c2b16bde633cf0b194517af59677998b02d86c8c12936615d64533c2ade3618c73713852ff3778a7ad532fd4e80feea30
diff --git a/dev-ruby/qed/metadata.xml b/dev-ruby/qed/metadata.xml
new file mode 100644
index 00000000000..85213618336
--- /dev/null
+++ b/dev-ruby/qed/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>ruby</herd>
+</pkgmetadata>
diff --git a/dev-ruby/qed/qed-2.9.1.ebuild b/dev-ruby/qed/qed-2.9.1.ebuild
new file mode 100644
index 00000000000..157eb31391a
--- /dev/null
+++ b/dev-ruby/qed/qed-2.9.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="QED (Quality Ensured Demonstrations) is a TDD/BDD framework"
+HOMEPAGE="https://rubyworks.github.io/qed/"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/ae )"
+ruby_add_rdepend "
+ dev-ruby/ansi
+ dev-ruby/brass
+ >=dev-ruby/facets-2.8"
+
+each_ruby_test() {
+ ${RUBY} -Ilib bin/qed || die 'tests failed'
+}
diff --git a/dev-ruby/qed/qed-2.9.2.ebuild b/dev-ruby/qed/qed-2.9.2.ebuild
new file mode 100644
index 00000000000..691cb7016d4
--- /dev/null
+++ b/dev-ruby/qed/qed-2.9.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="QED (Quality Ensured Demonstrations) is a TDD/BDD framework"
+HOMEPAGE="https://rubyworks.github.io/qed/"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/ae )"
+ruby_add_rdepend "
+ dev-ruby/ansi
+ dev-ruby/brass"
+
+each_ruby_test() {
+ ${RUBY} -Ilib bin/qed || die 'tests failed'
+}